orte/mca/gpr/base/gpr_base_simplified_subscribe.c File Reference.TH "orte/mca/gpr/base/gpr_base_simplified_subscribe.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/gpr/base/gpr_base_simplified_subscribe.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'orte/include/orte_constants.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/trace.h'\fP
.br
\fC#include 'orte/dps/dps.h'\fP
.br
\fC#include 'orte/mca/errmgr/errmgr.h'\fP
.br
\fC#include 'orte/mca/gpr/base/base.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_gpr_base_subscribe_1\fP (orte_gpr_subscription_id_t *id, char *trig_name, char *sub_name, orte_gpr_notify_action_t action, orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, char *key, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_subscribe_N\fP (orte_gpr_subscription_id_t *id, char *trig_name, char *sub_name, orte_gpr_notify_action_t action, orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, size_t n, char **keys, \fBorte_gpr_notify_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_define_trigger\fP (orte_gpr_trigger_id_t *id, char *trig_name, orte_gpr_trigger_action_t action, orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, size_t n, char **keys, \fBorte_gpr_trigger_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.ti -1c
.RI "int \fBorte_gpr_base_define_trigger_level\fP (orte_gpr_trigger_id_t *id, char *trig_name, orte_gpr_trigger_action_t action, orte_gpr_addr_mode_t addr_mode, char *segment, char **tokens, size_t n, char **keys, size_t *levels, \fBorte_gpr_trigger_cb_fn_t\fP cbfunc, void *user_tag)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
